Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » Could not resolve module: org.eclipse.equinox.security.ui(Could not resolve module: org.eclipse.equinox.security.ui)
Could not resolve module: org.eclipse.equinox.security.ui [message #1768674] Fri, 21 July 2017 09:50 Go to next message
saurabh pathare is currently offline saurabh pathareFriend
Messages: 9
Registered: June 2017
Junior Member
While I am launching an eclipse application then I am getting below errors.
The required bundle is already present in my product file with required version but still it is giving me that error.I tried to run it as "Run configuration" but still
got the same error.Please let me know how to resolve this issue.

----error-------
!ENTRY org.eclipse.equinox.security.ui 4 0 2017-07-21 14:37:03.055
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.equinox.security.ui [163]
Unresolved requirement: Require-Bundle: org.eclipse.ui; bundle-version="[3.4.0,4.0.0)"


Re: Could not resolve module: org.eclipse.equinox.security.ui [message #1769014 is a reply to message #1768674] Tue, 25 July 2017 16:25 Go to previous message
Brian de Alwis is currently offline Brian de AlwisFriend
Messages: 772
Registered: January 2012
Senior Member

Looks like you're missing some dependencies, and you'll need to add those missing dependencies to your .product.

I'm guessing since you don't have org.eclipse.ui included already, you're trying to build a console or basic SWT/JFace app. Realize that org.eclipse.equinox.security.ui provides preference pages that are intended to fit into the Eclipse Workbench, and are not built for standalone SWT/JFace use.

Brian.


Eclipse Platform committer. Ask me about Eclipse support, training, and consulting.
Previous Topic:How to create multiple Display objects?
Next Topic:User Rightmanagement for Parts
Goto Forum:
  


Current Time: Tue Sep 18 19:02:50 GMT 2018

Powered by FUDForum. Page generated in 0.01698 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top